Skip to main content
PATCH
/
v2
/
role-bindings
/
{binding_id}
Update a role binding
curl --request PATCH \
  --url https://api.arize.com/v2/role-bindings/{binding_id} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "role_id": "Um9sZToyOmFCY0Q="
}
'
{
  "id": "Um9sZUJpbmRpbmc6MTphQmNE",
  "role_id": "Um9sZToxOmFCY0Q=",
  "user_id": "VXNlcjo0MjphQmNE",
  "resource_type": "SPACE",
  "resource_id": "U3BhY2U6MTpWNEth",
  "created_at": "2024-06-01T10:00:00Z",
  "updated_at": "2024-06-01T10:00:00Z"
}

Documentation Index

Fetch the complete documentation index at: https://arize-ax.mintlify.dev/docs/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Most Arize AI endpoints require authentication. For those endpoints that require authentication, include your API key in the request header using the format

Path Parameters

binding_id
string
required

The unique identifier of the role binding. A universally unique identifier

Example:

"RW50aXR5OjEyMzQ1"

Body

application/json

Body containing role binding update parameters.

role_id
string
required

A universally unique identifier

Example:

"RW50aXR5OjEyMzQ1"

Response

A role binding object.

id
string
required

Unique identifier for the role binding.

role_id
string
required

A universally unique identifier

Example:

"RW50aXR5OjEyMzQ1"

user_id
string
required

A universally unique identifier

Example:

"RW50aXR5OjEyMzQ1"

resource_type
enum<string>
required

Resource type for the binding. Only SPACE and PROJECT are supported for single-binding CRUD. resource_id must encode the same resource type.

Available options:
SPACE,
PROJECT
resource_id
string
required

A universally unique identifier

Example:

"RW50aXR5OjEyMzQ1"

created_at
string<date-time>
required

Timestamp when the binding was created.

updated_at
string<date-time>
required

Timestamp when the binding was last updated.